import type { Permission } from "@/js/contexts/shared/models/Permission";

export type UserRole = {
  id: number;
  name: string;
  permissions: Permission[];
  created_at: string;
  updated_at: string;
};

export type UserRoleCreate = Omit<UserRole, "id" | "created_at" | "updated_at">;
export type UserRoleUpdate = Omit<UserRole, "id" | "created_at" | "updated_at">;
